// The package, duh.
package system;

// Import the crypt packages. Zombieeee...
import WDYSDecrypt.WDYSDecryptControl;
import WDYSEncrypt.WDYSEncryptControl;

/**
 * <p>The starting point of the program.</p>
 *
 * <p>Use
 * <pre>java WDYS -d filename1 filename2</pre><br>
 * to decrypt a file, and<br>
 * <pre>java WDYS -e filename1 filename2</pre><br>
 * to encrypt a file.<p>
 *
 * @author Berend "Kirk" Wouda
 * @version 1.01
 * @since 1.00
 */
public class WDYS {
	/**
	 * The main method.
	 *
	 * @param args Commandline parameters.
	 */
	public static void main(String[] args) {
		// Print out that it is made by me.
		System.out.println("WhatDoYouSee'd v1.01 by Kirk");
		System.out.println();

		// If there are 3 parameters then they are the encode/decode flag, and
		// the 2 filenames.
		if(args.length == 3) {
			// Check which flag.
			if(args[0].equals("-d")) {
				// Construct a decrypt control object.
				WDYSDecryptControl control = new WDYSDecryptControl();

				// Ask it to decrypt the file.
				control.decrypt(args[1], args[2]);
			}
			else if(args[0].equals("-e")) {
				// Construct an encrypt control object.
				WDYSEncryptControl control = new WDYSEncryptControl();

				// Ask it to encrypt the file.
				control.encrypt(args[1], args[2]);
			}
			else {
				// Wrong flag. Tell the user how to use this program.
				printUsageMessage();
			}
		}
		else {
			// Not the correct amount of parameters. Tell the user how to use
			// this program.
			printUsageMessage();
		}
	}

	/**
	 * Prints out the usage message.
	 */
	public static void printUsageMessage() {
		// Tell the user how to use this program.
		System.out.println("  Usage:");
 		System.out.println();
		System.out.println("    WDYS -d filename1 filename2  (to decrypt a file)");
		System.out.println("    WDYS -e filename1 filename2  (to encypt a file)");
	}
}